Skip to main content
The Axottle dashboard is managed via the REST API. The same API uses a built-in web interface, so any action in the dashboard is accessible and software-based.
For whom: Developer who integrates with Axottle; Administrator who automates routine. Required rights: Active Administrator session (see Authentication).

Basic address and version

All administrative methods are located under the prefix /api/v1 on your panel address:
The version of the API is specified in the path (v1). Incompatible changes will be released under the new version of the path.

API Areas

Public methods

This includes health checks (GET /health), scripts and agent installation files (/install/...).

Administrative methods

It’s all under /api/v1/*, requiring an admin session token.

Agent methods

Under /agent/v1/*. Used by agents of nodes and authenticated by an agent token, not by an administrator session. Not intended for manual call.

Format

  • The query and response body is JSON (Content-Type: application/json).
  • Errors are returned with the corresponding HTTP status. Directory - Error Codes.
  • The public gateway uses trottling: if exceeded, the 429 with the Retry-After header returns.

Next.

Authentication

How to get and use a session token.

Agreements

Pagination, filters, idempotence, confirmations.

Methods

Handbook of methods by section.